libzypp 17.37.10

zypp::gettext Namespace Reference

## Functions
void | assertInit ()
const char * | dgettext (const char *msgid) ZYPP_API
| Return translated text.
const char * | dngettext (const char *msgid1, const char *msgid2, unsigned long n) ZYPP_API
| Return translated text (plural form).

## Function Documentation

## ◆ assertInit()

void zypp::gettext::assertInit | ( |  | ) |
| inline

Definition at line 34 of file Gettext.cc.

## ◆ dgettext()

const char * zypp::gettext::dgettext | ( | const char * | msgid | ) |

Return translated text.

Definition at line 45 of file Gettext.cc.

## ◆ dngettext()

const char * zypp::gettext::dngettext | ( | const char * | msgid1,
|  | const char * | msgid2,
|  | unsigned long | n )

Return translated text (plural form).

Definition at line 51 of file Gettext.cc.